Loading...
Searching...
No Matches
TorsionPreferences.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <string>`
`#include <memory>`
`#include <boost/dynamic_bitset.hpp>`

Go to the source code of this file.

## Classes

struct | ForceFields::CrystalFF::ExpTorsionAngle
| A structure used to the experimental torsion patterns. More...
struct | ForceFields::CrystalFF::CrystalFFDetails

## Namespaces

namespace | RDKit
| Std stuff.
namespace | ForceFields
namespace | ForceFields::CrystalFF

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT void | ForceFields::CrystalFF::getExperimentalTorsions (const RDKit::ROMol &mol, CrystalFFDetails &details, bool useExpTorsions=false, bool useSmallRingTorsions=false, bool useMacrocycleTorsions=false, bool useBasicKnowledge=false, unsigned int version=1, bool verbose=false)
| Get the experimental torsional angles in a molecule.

RDKIT_FORCEFIELDHELPERS_EXPORT void

ForceFields::CrystalFF::getExperimentalTorsions (const RDKit::ROMol &mol, CrystalFFDetails &details, std::vector< std::tuple< unsigned int, std::vector< unsigned int >, const ExpTorsionAngle * > > &torsionBonds, bool useExpTorsions=false, bool useSmallRingTorsions=false, bool useMacrocycleTorsions=false, bool useBasicKnowledge=false, unsigned int version=1, bool verbose=false)

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.